#ifndef _PINS_HPP_
#define _PINS_HPP_

#include "syselmts.hpp"

class Pin : public SystemElement
{
public:
    Pin(std::string name);
};

class Pins : public SystemElementContainer<Pin>
{
public:
    Pins(void);
    Pins(std::vector<Pin> pins);
};

#endif // _PINS_HPP_